part of 'settings_cubit.dart';

@immutable
class SettingsState extends Equatable {
  const SettingsState({
    this.username,
    this.securityToken,
    this.discoveriesDaysCount,
    this.distributionDaysCount,
    this.statisticsRecentDaysCount,
    this.timelineDaysCount,
    this.topArtistsDaysCount,
  });

  final String? username;
  final String? securityToken;
  final int? discoveriesDaysCount;
  final int? distributionDaysCount;
  final int? statisticsRecentDaysCount;
  final int? timelineDaysCount;
  final int? topArtistsDaysCount;

  @override
  List<dynamic> get props => <dynamic>[
        username,
        securityToken,
        discoveriesDaysCount,
        distributionDaysCount,
        statisticsRecentDaysCount,
        timelineDaysCount,
        topArtistsDaysCount,
      ];

  Map<String, dynamic> get values => <String, dynamic>{
        'username': username,
        'securityToken': securityToken,
        'discoveriesDaysCount': discoveriesDaysCount,
        'distributionDaysCount': distributionDaysCount,
        'statisticsRecentDaysCount': statisticsRecentDaysCount,
        'timelineDaysCount': timelineDaysCount,
        'topArtistsDaysCount': topArtistsDaysCount,
      };
}
